require 'faker'

FactoryGirl.define do
  factory :tag, class: Hash do
    id { rand(100000) }
    name { Faker::Lorem.word }
    description { Faker::Lorem.paragraph }

    initialize_with { attributes }
  end

  factory :category, class: Hash do
    id { rand(100000) }
    name { Faker::Lorem.word }
    description { Faker::Lorem.paragraph }

    initialize_with { attributes }
  end

  factory :faq, class: Hash do
    id { rand(100000) }
    question { Faker::Lorem.sentence }
    answer { Faker::Lorem.paragraph }
    votes { rand(100) }
    rating { rand }

    initialize_with { attributes }
  end

  factory :faq_with_categories_and_tags, parent: :faq do
    tags { build_list :tag, rand(1..5) }
    categories { build_list :category, rand(1..5) }
  end
end